<form name="editForm" role="form" class="mpm-form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>Edit</p-header>
        <p-accordion>
            <p-accordionTab header="{{'mpmApp.salesUnitRequirement.dealDetail.detail' | translate}}">
                <div class="ui-g">
                    <div class="ui-g-12">
                        <label for="field_requirementNumber">VSO Number</label>
                    </div>
                    <div class="ui-g-12">
                        <input type="text" class="form-control" name="requirementNumber" id="field_requirementNumber" [(ngModel)]="salesUnitRequirement.requirementNumber" readonly/>
                    </div>
                </div>
                <p-fieldset legend="Motor" [toggleable]="true">
                    <div class="ui-g">
                        <div class="ui-g-12">
                            <label jhiTranslate="mpmApp.salesUnitRequirement.product" for="field_product">Product</label>
                        </div>
                        <div class="ui-g-12">
                            <p-dropdown *ngIf="!fetchMotor" 
                                name="field_product" 
                                id="field_product"
                                [options]="motorsForSelect" 
                                [(ngModel)]="selectedMotor" 
                                [style]="{'width':'100%'}" 
                                (onChange)="selectMotor(true)" [filter]="true" filterBy="label">
                            </p-dropdown>
                            <!-- [disabled]="isDisableSelectMotor(salesUnitRequirement)" -->
                            <jhi-fetching-data 
                                *ngIf="fetchMotor"
                            ></jhi-fetching-data>
                            <!-- <select class="form-control" (change)="selectMotor(true)" id="field_product" name="product" [(ngModel)]="salesUnitRequirement.productId" [disabled]="isDisableSelectMotor(salesUnitRequirement)">
                                <option [ngValue]="null">-Please Select-</option>
                                <option [ngValue]="motorOption.idProduct" *ngFor="let motorOption of motors; trackBy: trackMotorById">{{motorOption.idProduct}} - {{motorOption.description}} - {{motorOption.name}}</option>
                            </select> -->
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-g-12">
                            <label>Harga Off The Road</label>
                            <div class="ui-g-12">
                                <input type="text" currencyMask class="form-control" pInputText name="het_price" id="het_price" readonly="true" [(ngModel)]="salesUnitRequirement.hetprice" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }">
                            </div>
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-g-12">
                            <label>Harga BBN</label>
                            <div class="ui-g-12">
                                <input type="text" currencyMask class="form-control" pInputText name="bbn_price" id="bbn_price" readonly="true" [(ngModel)]="salesUnitRequirement.bbnprice" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }">
                            </div>
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-g-12">
                            <label jhiTranslate="mpmApp.salesUnitRequirement.common.unitPrice" for="unit_price">Harga Unit On The Road</label>
                            <div class="ui-g-12">
                                <input type="text" currencyMask class="form-control" pInputText name="unit_price" id="unit_price" readonly [(ngModel)]="salesUnitRequirement.unitPrice" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }">
                            </div>
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.common.color' | translate}}</div>
                        <div class="ui-g-12">
                            <select class="form-control" id="field_color" name="color" [(ngModel)]="salesUnitRequirement.colorId">
                            <option [ngValue]="null">-Please Select-</option>
                            <option [ngValue]="featureOption.idFeature" *ngFor="let featureOption of features; trackBy: trackFeatureById">{{featureOption.refKey}} - {{featureOption.description}}</option>
                        </select>
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-g-12 mandatory">Tahun Produksi</div>
                        <div class="ui-g-12">
                            <select class="form-control" id="field_year" name="year" [(ngModel)]="salesUnitRequirement.productYear" required>
                            <option [ngValue]="null">-Please Select-</option>
                            <option [ngValue]="year" *ngFor="let year of years">{{year}}</option>
                        </select>
                        </div>
                    </div>
                </p-fieldset>
                <!-- <div class="ui-g">
                    <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.common.requestmachineNumber' | translate}}</div>
                    <div class="ui-g-12">
                        <input id="request_nomor_mesin" name="request_nomor_mesin" [(ngModel)]="salesUnitRequirement.requestIdMachine" class="form-control">
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.common.requestframeNumber' | translate}}</div>
                    <div class="ui-g-12">
                        <input id="request_nomor_rangka" name="request_nomor_rangka" [(ngModel)]="salesUnitRequirement.requestIdFrame" class="form-control">
                    </div>
                </div>
                <div class="ui-g" *ngIf="salesUnitRequirement.idmachine">
                    <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.common.machineNumber' | translate}}</div>
                    <div class="ui-g-12">
                        <input id="nomor_mesin" name="nomor_mesin" [(ngModel)]="salesUnitRequirement.idmachine" class="form-control">
                    </div>
                </div>
                <div class="ui-g" *ngIf="salesUnitRequirement.idframe">
                    <div class="ui-g-12">Request {{'mpmApp.salesUnitRequirement.common.frameNumber' | translate}}</div>
                    <div class="ui-g-12">
                        <input id="nomor_rangka" name="nomor_rangka" [(ngModel)]="salesUnitRequirement.idframe" class="form-control">
                    </div>
                </div> -->
                <div class="ui-g">
                    <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.common.noteRequestNokaNosin' | translate}}</div>
                    <div class="ui-g-12">
                        <textarea id="requestIdMachineAndFrame" name="requestIdMachineAndFrame" [(ngModel)]="salesUnitRequirement.requestIdMachineAndFrame" class="form-control" rows="3" maxlength="300"></textarea>
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.common.policeNumber' | translate}}</div>
                    <div class="ui-g-12">
                        <input id="nomor_nopol" name="nomor_nopol" [(ngModel)]="salesUnitRequirement.requestpoliceid" class="form-control" maxlength="300">
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.common.notePartner' | translate}}</div>
                    <div class="ui-g-12">
                        <textarea id="note_partner" name="note_partner" [(ngModel)]="salesUnitRequirement.notePartner" class="form-control" rows="3" maxlength="300"></textarea>
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.common.note' | translate}}</div>
                    <div class="ui-g-12">
                        <textarea id="note" name="note" [(ngModel)]="salesUnitRequirement.note" class="form-control" rows="3" maxlength="300"></textarea>
                    </div>
                </div>
            </p-accordionTab>
            <p-accordionTab header="{{'mpmApp.salesUnitRequirement.dealDetail.dataCustomer' | translate}}">
                <div *ngIf="salesUnitRequirement.idReqTyp != 12">
                    <jhi-customer-view 
                        [readonly]="true"
                        [idCustomer]="salesUnitRequirement.customerId"
                    ></jhi-customer-view>
                </div>
                <div *ngIf="salesUnitRequirement.idReqTyp == 12">
                    <jhi-organization-view [organization]="organizationCustomer.organization">
                    </jhi-organization-view>
                </div>
            </p-accordionTab>
            <p-accordionTab header="{{'mpmApp.salesUnitRequirement.dealDetail.paymentDetail' | translate}}">
                <jhi-sur-receipt-as-list 
                    [idParty] = "salesUnitRequirement.partyId"
                    [isCountReceipt]="isCountReceipt" 
                    (fnCallback)="countReceipt($event)"
                    [idRequirement]="salesUnitRequirementId"
                    [idPaymentType]="50"
                ></jhi-sur-receipt-as-list>
                <!-- <jhi-receipt-as-list 
                    [idParty] = "salesUnitRequirement.partyId"
                    [isCountReceipt]="isCountReceipt" 
                    (fnCallback)="countReceipt($event)"
                    [idRequirement]="salesUnitRequirementId"
                ></jhi-receipt-as-list> -->
                <div class="ui-g">
                    <div class="ui-g-3 ui-sm-12">
                        <label jhiTranslate="mpmApp.salesUnitRequirement.common.totalPayment" for="field_totalpayment">Total Payment</label>
                    </div>
                    <div class="ui-g-9 ui-sm-12" align="right">
                        {{ totalReceipt | currency : 'IDR' : true }}
                    </div>
                </div>
                <hr>
                <div class="ui-g">
                    <div class="ui-g-12">Broker Fee</div>
                    <div class="ui-g-12">
                        <input type="text" currencyMask id="brokerfee" name="brokerfee" [disabled]="disableMakelarFee()" pInputText [(ngModel)]="salesUnitRequirement.brokerFee" (blur)="countRemainingPayment()" class="form-control" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                        />
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-12">
                        <label jhiTranslate="mpmApp.salesUnitRequirement.saleType" for="field_paymenttype">Payment Type</label>
                    </div>
                    <div class="ui-g-12">
                        <select class="form-control" id="field_paymenttype" name="field_paymenttype" (change)="selectSaleType()" [(ngModel)]="salesUnitRequirement.saleTypeId">
                            <option [ngValue]="null">-Please Select-</option>
                            <option [ngValue]="opt.idSaleType" *ngFor="let opt of saletypes; trackBy: trackSaleTypeById">{{opt.description}}</option>
                        </select>
                    </div>
                </div>
                <div class="ui-g" [hidden]="!isCredit">
                    <div class="ui-g-12">
                        <label for="field_leasing">Leasing</label>
                    </div>
                    <div class="ui-g-12">
                        <select class="form-control" id="field_leasing" name="field_leasing" [(ngModel)]="salesUnitRequirement.leasingCompanyId">
                            <option [ngValue]="null">-Please Select-</option>
                            <option [ngValue]="option.idPartyRole" *ngFor="let option of leasingCompanies; trackBy: trackLeasingCompanyById">
                                {{option.partyName}}
                            </option>
                        </select>
                    </div>
                </div>
                <div class="ui-g" [hidden]="!isCredit">
                    <div class="ui-g-12">
                        <label for="field_tenor">Tenor</label>
                    </div>
                    <div class="ui-g-12">
                        <input type="text" id="creditTenor" name="creditTenor" pInputText [(ngModel)]="salesUnitRequirement.creditTenor" class="form-control"/>

                        <!-- <select class="form-control" (ngModelChange)="selectTenor($event)" id="field_tenor" name="field_tenor" [(ngModel)]="selectedTenor">
                        <option [ngValue]="null">Select tenor</option>
                        <option [ngValue]="optTenor" *ngFor="let optTenor of tenors;">
                            {{optTenor}}
                        </option> -->
                    </select>
                    </div>
                </div>
                <div class="ui-g" [hidden]="!isCredit">
                    <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.downPayment' | translate}}</div>
                    <div class="ui-g-12">
                        <input 
                            type="text" 
                            currencyMask id="field_creditDP"
                            (blur)="countRemainingDownPayment()" 
                            name="field_creditDP"  [(ngModel)]="salesUnitRequirement.creditDownPayment" pInputText  class="form-control" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" />
                        <!-- <select class="form-control" [(ngModel)]="salesUnitRequirement.leasingTenorProvideId" id="field_credit_down_payment" (ngModelChange)="selectDownPayment($event)" name="field_credit_down_payment">
                            <option [ngValue]="null">-Please Select-</option>
                            <option [ngValue]="opt.idLeasingProvide" *ngFor="let opt of leasingTenorProvides; trackBy: trackLeasingTenorProvideById">
                                {{opt.downPayment | currency : 'IDR' : true}}
                            </option>
                        </select> -->
                    </div>
                </div>
                <div class="ui-g" [hidden]="!isCredit">
                    <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.installment' | translate}}</div>
                    <div class="ui-g-12">
                        <input type="text" currencyMask id="field_installment" name="field_installment"  [(ngModel)]="salesUnitRequirement.creditInstallment" pInputText class="form-control" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" />
                    </div>
                </div>
                <hr>
                <div class="ui-g">
                    <div class="ui-g-12">Subsidi AHM</div>
                    <div class="ui-g-12">
                        <input type="text" currencyMask id="subsahm" name="subsahm" pInputText [(ngModel)]="salesUnitRequirement.subsahm" class="form-control" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" />
                        <small>Subsidi sebesar : <span style="color:red;font-weight:600">Rp {{subsidi.subsidiAHM | number }}</span></small>
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-12">Subsidi Main Dealer</div>
                    <div class="ui-g-12">
                        <input type="text" currencyMask id="subsmd" name="subsmd" pInputText [(ngModel)]="salesUnitRequirement.subsmd" class="form-control" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" />
                        <small>Subsidi sebesar : <span style="color:red;font-weight:600">Rp {{subsidi.subsidiMD | number }}</span></small>
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-12">Subsidi Dealer</div>
                    <div class="ui-g-12">
                        <input type="text" currencyMask id="subsd" name="subsd" pInputText 
                        [(ngModel)]="salesUnitRequirement.subsown" class="form-control" (blur)="countSubsidiDealer()" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                        />
                    </div>
                    <!-- [disabled]="isDisabledSubsidiDealer(salesUnitRequirement)"  -->
                </div>
                <div class="ui-g" [hidden]="!isCredit">
                    <div class="ui-g-12">Subsidi Fin Comp</div>
                    <div class="ui-g-12">
                        <input type="text" 
                        currencyMask 
                        id="subsfincomp" 
                        name="subsfincomp" 
                        pInputText 
                        [disabled]="isDisabledSubsidiFinCo" 
                        [(ngModel)]="salesUnitRequirement.subsfincomp" 
                        (blur)="countRemainingDownPayment()" 
                        class="form-control" 
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
                    </div>
                </div>
                <div class="ui-g" [hidden]="isCredit">
                    <div class="ui-g-3 ui-sm-12">
                        <label jhiTranslate="mpmApp.salesUnitRequirement.common.remainingPayment" for="field_remainingPayment">Remaining Payment</label>
                    </div>
                    <div class="ui-g-9 ui-sm-12" align="right">
                        {{remainingPayment}}
                    </div>
                </div>
                <div class="ui-g" [hidden]="!isCredit">
                    <div class="ui-g-3 ui-sm-12">
                        <label jhiTranslate="mpmApp.salesUnitRequirement.common.remainingDownPayment">RemainingDown Payment</label>
                    </div>
                    <div class="ui-g-9 ui-sm-12" align="right">
                        {{remainingDownPayment}}
                    </div>
                </div>
            </p-accordionTab>
            <p-accordionTab header="Data STNK">
                <jhi-sales-unit-requirement-person
                    [salesUnitRequirement]="salesUnitRequirement"
                ></jhi-sales-unit-requirement-person>
            </p-accordionTab>
            <p-accordionTab header="{{'mpmApp.salesUnitRequirement.dealDetail.info' | translate}}">
                <jhi-prospect-info [idProspectSource]="salesUnitRequirement.prospectSourceId"></jhi-prospect-info>
            </p-accordionTab>
            <p-accordionTab header="{{'mpmApp.salesUnitRequirement.dealDetail.historyMessage' | translate}}">
                <jhi-sales-unit-requirement-message-view></jhi-sales-unit-requirement-message-view>
            </p-accordionTab>
            <p-accordionTab header="{{'mpmApp.salesUnitRequirement.dealDetail.historyFollowUp' | translate}}">
                <jhi-sales-unit-requirement-follow-up-view [salesUnitRequirement]="salesUnitRequirement"></jhi-sales-unit-requirement-follow-up-view>
            </p-accordionTab>
            <p-accordionTab header="{{'mpmApp.salesUnitRequirement.dealDetail.document' | translate}}">
                <jhi-party-document-as-list isHaveOwnConfirmDialog="true" [idparty]="salesUnitRequirement.partyId" [readonly]="isReadOnlyDocument"></jhi-party-document-as-list>
            </p-accordionTab>
        </p-accordion>
        <p-footer>
            <button pButton type="button" (click)="previousState()" label="{{'entity.action.back' | translate}}" class="ui-button-danger flat-label-button">
        </button>
            <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving" label="{{'entity.action.save' | translate}}" icon="fa-save" class="ui-button-primary flat-label-button">
        </button>
        </p-footer>
    </p-panel>
</form>